Subject: tar and remote machines (was RE: What is the minimum needed to run gtar?)
From: David Rothenberger <[email-masked]>
To: "Biederman, Steve" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 20 Aug 2003 14:05:42 -0700

Biederman, Steve writes:
 > 
 > (Resuming an earlier discussion ...)
 > 
 > In my Cygwin environment, I can invoke tar with Windows-style pathnames,
 > i.e, "tar -cf C:/temp/foo.tar ."  My non-Cygwin users can't; for them, the
 > "C:" is interpreted as a remote machine name and they get "cannot execute
 > remote shell".

In my Cygwin environment, "tar -cf C:/temp/foo.tar ." does not work;
I get an error about C being a hostname.  Looking at the tar code,
this is what I'd expect.  The comment in the code is

/* A filename is remote if it contains a colon not preceded by a slash,
   to take care of `/:/' which is a shorthand for `/.../<CELL-NAME>/fs'
   on machines running OSF's Distributing Computing Environment (DCE) and
   Distributed File System (DFS).  However, when --force-local, a
   filename is never remote.  */

I don't think the problem your non-Cygwin users are having has
anything to do with Cygwin, and I'm mystified as to why it works
correctly for you.  Are you using the same version of tar and the
cygwin DLL as your "non-Cygwin" users?

 > What is the correct solution to this problem?

As you guessed, provide the --force-local switch.  Alternatively,
download the tar source, patch rmt.h to ignore remote paths, and
recompile.

Dave

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/